- Qt 5.15
- Qt Data Visualization
- C++ Classes
- QTouch3DInputHandler
- Qt Data Visualization | Commercial or GPLv3

# QTouch3DInputHandler Class

Basic touch display based input handler. More...

Header: | #include <QTouch3DInputHandler>
qmake: | QT += datavisualization
Since: | QtDataVisualization 1.0
Instantiated By: | TouchInputHandler3D
Inherits: | Q3DInputHandler

This class was introduced in QtDataVisualization 1.0.

- List of all members, including inherited members

## Public Functions

| QTouch3DInputHandler(QObject *parent = nullptr)
virtual | ~QTouch3DInputHandler()

## Reimplemented Public Functions

virtual void | touchEvent(QTouchEvent *event) override

## Detailed Description

QTouch3DInputHandler is the basic input handler for touch screen devices.

Default touch input handler has the following functionalty:

Gesture | Action
--- | ---
Touch-And-Move | Rotate graph within limits set for Q3DCamera
Tap | Select the item tapped or remove selection if none. May open the secondary view depending on the selection mode.
Tap-And-Hold | Same as tap.
Pinch | Zoom in/out within the allowable zoom range set for Q3DCamera.
Tap on the primary view when the secondary view is visible | Closes the secondary view. Note: Secondary view is available only for Q3DBars and Q3DSurface graphs.

Rotation, zoom, and selection can each be individually disabled using corresponding Q3DInputHandler properties.

## Member Function Documentation

### QTouch3DInputHandler::QTouch3DInputHandler(QObject *parent = nullptr)

Constructs the basic touch display input handler. An optional parent parameter can be given and is then passed to QObject constructor.

### `[virtual]` QTouch3DInputHandler::~QTouch3DInputHandler()

Destroys the input handler.

### `[override virtual]` void QTouch3DInputHandler::touchEvent(QTouchEvent *event)

Reimplements: QAbstract3DInputHandler::touchEvent(QTouchEvent *event).

Override this to change handling of touch events. Touch event is given in the event.